# Uses of Class
org.apache.sling.discovery.commons.providers.BaseTopologyView

Packages that use BaseTopologyView
Package
Description
org.apache.sling.discovery.commons.providers
Provides commons utility for providers of the Discovery API.
org.apache.sling.discovery.commons.providers.base
Provides commons implementations for providers of the Discovery API.
org.apache.sling.discovery.commons.providers.spi
Provides an SPI for providers, used by discovery.commons.providers.impl
org.apache.sling.discovery.commons.providers.spi.base
Provides default SPI-implementations used by discovery.commons.providers.impl

## Uses of BaseTopologyView in org.apache.sling.discovery.commons.providers

Methods in org.apache.sling.discovery.commons.providers with parameters of type BaseTopologyView
Modifier and Type
Method
Description
`void`
ViewStateManager.`handleNewView(BaseTopologyView newView)`
Handles the fact that a new view became true/established and sends out TOPOLOGY_INIT to uninitialized listeners and TOPOLOGY_CHANGED to already initialized listeners (in the latter case, also sends a TOPOLOGY_CHANGING if that has not yet been done)
`static org.apache.sling.discovery.TopologyEvent`
EventHelper.`newChangedEvent(BaseTopologyView oldView, BaseTopologyView newView)`
Simple factory method for creating a TOPOLOGY_CHANGED event with the given old and new views
`static org.apache.sling.discovery.TopologyEvent`
EventHelper.`newChangingEvent(BaseTopologyView oldView)`
Simple factory method for creating a TOPOLOGY_CHANGING event with the given oldView
`static org.apache.sling.discovery.TopologyEvent`
EventHelper.`newInitEvent(BaseTopologyView newView)`
Simple factory method for creating a TOPOLOGY_INIT event with the given newView
`static org.apache.sling.discovery.TopologyEvent`
EventHelper.`newPropertiesChangedEvent(BaseTopologyView oldView, BaseTopologyView newView)`

## Uses of BaseTopologyView in org.apache.sling.discovery.commons.providers.base

Methods in org.apache.sling.discovery.commons.providers.base with parameters of type BaseTopologyView
Modifier and Type
Method
Description
`protected boolean`
ViewStateManagerImpl.`equalsIgnoreSyncToken(BaseTopologyView newView)`
Checks if the previouesView is equal to the newView, ignoring the syncToken (but only if the newView has partially started instances).
`void`
ViewStateManagerImpl.`handleNewView(BaseTopologyView newView)`
`protected boolean`
ViewStateManagerImpl.`onlyDiffersInProperties(BaseTopologyView newView)`
`protected boolean`
ViewStateManagerImpl.`unchanged(BaseTopologyView newView)`

## Uses of BaseTopologyView in org.apache.sling.discovery.commons.providers.spi

Methods in org.apache.sling.discovery.commons.providers.spi with parameters of type BaseTopologyView
Modifier and Type
Method
Description
`void`
ClusterSyncService.`sync(BaseTopologyView view, Runnable callback)`
Starts the synchronization process and calls the provided callback upon completion.

## Uses of BaseTopologyView in org.apache.sling.discovery.commons.providers.spi.base

Methods in org.apache.sling.discovery.commons.providers.spi.base with parameters of type BaseTopologyView
Modifier and Type
Method
Description
`protected void`
ClusterSyncHistory.`addHistoryEntry(BaseTopologyView view, String msg)`
`void`
ClusterSyncServiceChain.`sync(BaseTopologyView view, Runnable callback)`
`void`
OakBacklogClusterSyncService.`sync(BaseTopologyView view, Runnable callback)`
`void`
SyncTokenService.`sync(BaseTopologyView view, Runnable callback)`
`protected void`
SyncTokenService.`syncToken(BaseTopologyView view, Runnable callback)`